Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.CursorShape

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.CursorShape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.CursorShape

extends java.lang.Enum
implements QtEnumerator

This enum type defines the various cursors that can be used.

The standard arrow cursor is the default for widgets in a normal state.

See Also:
  Serialized Form

Field Summary
`static Qt.CursorShape` | `ArrowCursor` See the description for details.
`static Qt.CursorShape` | `BitmapCursor` Value: BitmapCursor
`static Qt.CursorShape` | `BlankCursor` A blank/invisible cursor, typically used when the cursor shape needs to be hidden.
`static Qt.CursorShape` | `BusyCursor` See the description for details.
`static Qt.CursorShape` | `ClosedHandCursor` See the description for details.
`static Qt.CursorShape` | `CrossCursor` See the description for details.
`static Qt.CursorShape` | `CustomCursor`
`static Qt.CursorShape` | `ForbiddenCursor` See the description for details.
`static Qt.CursorShape` | `IBeamCursor` See the description for details.
`static Qt.CursorShape` | `OpenHandCursor` See the description for details.
`static Qt.CursorShape` | `PointingHandCursor` See the description for details.
`static Qt.CursorShape` | `SizeAllCursor` See the description for details.
`static Qt.CursorShape` | `SizeBDiagCursor` See the description for details.
`static Qt.CursorShape` | `SizeFDiagCursor` See the description for details.
`static Qt.CursorShape` | `SizeHorCursor` See the description for details.
`static Qt.CursorShape` | `SizeVerCursor` See the description for details.
`static Qt.CursorShape` | `SplitHCursor` See the description for details.
`static Qt.CursorShape` | `SplitVCursor` See the description for details.
`static Qt.CursorShape` | `UpArrowCursor` See the description for details.
`static Qt.CursorShape` | `WaitCursor` See the description for details.
`static Qt.CursorShape` | `WhatsThisCursor` See the description for details.

Method Summary
`static Qt.CursorShape` | `resolve(int value)` Returns the CursorShape constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.CursorShape` | `valueOf(java.lang.String name)`
`static Qt.CursorShape[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ArrowCursor

    public static final Qt.CursorShape ArrowCursor

  See the description for details.
  The standard arrow cursor.

### UpArrowCursor

    public static final Qt.CursorShape UpArrowCursor

  See the description for details.
  An arrow pointing upwards toward the top of the screen.

### CrossCursor

    public static final Qt.CursorShape CrossCursor

  See the description for details.
  A crosshair cursor, typically used to help the user accurately select a point on the screen.

### WaitCursor

    public static final Qt.CursorShape WaitCursor

  See the description for details.
  An hourglass or watch cursor, usually shown during operations that prevent the user from interacting with the application.

### IBeamCursor

    public static final Qt.CursorShape IBeamCursor

  See the description for details.
  A caret or ibeam cursor, indicating that a widget can accept and display text input.

### SizeVerCursor

    public static final Qt.CursorShape SizeVerCursor

  See the description for details.
  A cursor used for elements that are used to vertically resize top-level windows.

### SizeHorCursor

    public static final Qt.CursorShape SizeHorCursor

  See the description for details.
  A cursor used for elements that are used to horizontally resize top-level windows.

### SizeBDiagCursor

    public static final Qt.CursorShape SizeBDiagCursor

  See the description for details.
  A cursor used for elements that are used to diagonally resize top-level windows at their top-right and bottom-left corners.

### SizeFDiagCursor

    public static final Qt.CursorShape SizeFDiagCursor

  See the description for details.
  A cursor used for elements that are used to diagonally resize top-level windows at their top-left and bottom-right corners.

### SizeAllCursor

    public static final Qt.CursorShape SizeAllCursor

  See the description for details.
  A cursor used for elements that are used to resize top-level windows in any direction.

### BlankCursor

    public static final Qt.CursorShape BlankCursor

  A blank/invisible cursor, typically used when the cursor shape needs to be hidden.

### SplitVCursor

    public static final Qt.CursorShape SplitVCursor

  See the description for details.
  A cursor used for vertical splitters, indicating that a handle can be dragged horizontally to adjust the use of available space.

### SplitHCursor

    public static final Qt.CursorShape SplitHCursor

  See the description for details.
  A cursor used for horizontal splitters, indicating that a handle can be dragged vertically to adjust the use of available space.

### PointingHandCursor

    public static final Qt.CursorShape PointingHandCursor

  See the description for details.
  A pointing hand cursor that is typically used for clickable elements such as hyperlinks.

### ForbiddenCursor

    public static final Qt.CursorShape ForbiddenCursor

  See the description for details.
  A slashed circle cursor, typically used during drag and drop operations to indicate that dragged content cannot be dropped on particular widgets or inside certain regions.

### WhatsThisCursor

    public static final Qt.CursorShape WhatsThisCursor

  See the description for details.
  An arrow with a question mark, typically used to indicate the presence of What's This? help for a widget.

### BusyCursor

    public static final Qt.CursorShape BusyCursor

  See the description for details.
  An hourglass or watch cursor, usually shown during operations that allow the user to interact with the application while they are performed in the background.

### OpenHandCursor

    public static final Qt.CursorShape OpenHandCursor

  See the description for details.
  A cursor representing an open hand, typically used to indicate that the area under the cursor is the visible part of a canvas that the user can click and drag in order to scroll around.

### ClosedHandCursor

    public static final Qt.CursorShape ClosedHandCursor

  See the description for details.
  A cursor representing a closed hand, typically used to indicate that a dragging operation is in progress that involves scrolling.

### BitmapCursor

    public static final Qt.CursorShape BitmapCursor

  Value: BitmapCursor

### CustomCursor

    public static final Qt.CursorShape CustomCursor

Method Detail

### values

    public static Qt.CursorShape[] values()

### valueOf

    public static Qt.CursorShape valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.CursorShape resolve(int value)

  Returns the CursorShape constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD